<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_cli.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_loc.inc.php');
include_once('../inc/fic_tac.inc.php');
include_once('../inc/lst.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$fi = '';
if (isset($_GET['fi']) && (trim($_GET['fi']) <> '')) {
    $fi = (int)$_GET['fi'];
}
$tab_cli = [];
if (CheckNivLog('1')) {
    $tab_cli = give_tab_rcli($_SESSION['code_log'], TRUE);
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Impression Liste Contrats Location'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            warn_print(1);
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>

<?php
if (valsession('niv_log') >= 5) {
    entimplst(_('LISTE DES CONTRATS DE LOCATION'));
} else {
    entimplst(_('VOS CONTRATS DE LOCATION'));
}

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

$rech = cree_strrechlstcoloc($fi, $tab_rcli);

switch ($fi) {
    case '1' :
        if (!stristr($rech, 'WHERE ')) {
            $rech .= " WHERE coloc_dateclos='0000-00-00'";
        } else {
            $rech .= " AND coloc_dateclos='0000-00-00'";
        }
        break;
    case '2' :
        if (!stristr($rech, 'WHERE ')) {
            $rech .= " WHERE coloc_dateclos<>'0000-00-00'";
        } else {
            $rech .= " AND coloc_dateclos<>'0000-00-00'";
        }
        break;
    default :
        break;
}
$rech .= crestr_triord($coloc_titre_col, 'coloc_code', FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);

// *** Affichage de la table
echo '<table class="MItable" border="0" width="100%" cellpadding="0" cellspacing="0">';

// création entête
titimplst($coloc_titre_col);

foreach ($rows as $row) {
    $row = encode_str($row);
    // Affichage résumé contrat location

    // création de l'entête de ligne (TR)
    echo '<tr>';

    echo '<td>';
    echo $row['coloc_code'];

    $nb_pdtloc = nb_pdtloc_in_coloc($row['coloc_code'], FALSE);

    // CREATION d'icône si terminé
    if (datetolocal($row['coloc_dateclos']) == '') {
        if (all_pdtloc_ret_in_coloc($row['coloc_code'], FALSE) == TRUE) {
            $row['coloc_dateclos'] = lastdate_ret_in_coloc($row['coloc_code'], FALSE);
            clot_coloc($row['coloc_code'], $row['coloc_dateclos'], FALSE);
        }
    }

    if (datetolocal($row['coloc_dateclos']) <> '') {
        $lst_fini = TRUE;
        echo '<br />';
        echo '<span class="annot_petit_it">';
        echo _('terminé le') . ' ';
        if (datetolocal($row['coloc_dateclos']) <> '') {
            echo datetolocal($row['coloc_dateclos']);
        }
        echo '</span>';
    }

    // icône si pas de produit dans le contrat
    if ($nb_pdtloc == 0) {
        $lst_fini = TRUE;
        echo '<br />';
        echo '<span class="annot_petit_it">';
        echo _('Aucun produit') . ' ';
        echo '</span>';
    }

    // Géré par
    if ((valsession('niv_log') <> 3) AND (valsession('niv_log') <> 4)) {
        echo '<br />';
        echo '<span class="annot_petit_it">';
        $txt = formatetxt($row['coloc_codeage']);
        echo '->' . _('Agence') . ' : ' . $txt;
        echo '</span>';
    }
    echo '</td>';

    echo '<td>';
    echo $row['coloc_codecli'];
    // Affichage détail contact
    $detailcli = '->';
    switch ($row['coloc_typcli']) {
        // Client
        case 0 :
            if ($row['cli_ste'] <> '') {
                $detailcli .= $row['cli_ste'] . ', ';
            }
            $detailcli .= $row['cli_civilite'] . ' ' . $row['cli_nom'];
            break;
        // Agence
        case 1 :
            $detailcli .= $row['cli_ste'] . ', ';
            $detailcli .= $row['cli_civilite'] . ' ' . $row['cli_nom'];
            break;
        // Technicien
        case 2 :
        case 4 :
            $detailcli .= $row['cli_civilite'] . ' ' . $row['cli_nom'];
            break;
        case 3 :
            $detailcli .= $row['cli_ste'] . ', ';
            $detailcli .= $row['cli_civilite'] . ' ' . $row['cli_nom'];
            break;
    }
    echo '<br />';
    echo '<span class="annot_petit_it">';
    echo $detailcli;
    echo '</span>';
    // Fin affichage détail contact
    echo '</td>';

    // début
    echo '<td align="center">';
    if (datetolocal($row['coloc_datedeb']) <> '') {
        echo datetolocal($row['coloc_datedeb']);
    } else {
        echo '-';
    }
    echo '</td>';

    // Fin
    echo '<td align="center">';
    if (datetolocal($row['coloc_datefin']) <> '') {
        echo datetolocal($row['coloc_datefin']);
    } else {
        echo '-';
    }
    echo '</td>';

    echo '</tr>';
    // Fin affichage résumé intervention

    $i++;
}
echo '</table>';
// *** Fin affichage de la table

close_database();
?>
</body>
</html>